> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reporta.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Upload Report

> Bulk upload of reports

<Note>
  Please download our [bulk upload template](https://docs.google.com/spreadsheets/d/1FLTV4HCbbJxrysFgajPSpdqk3UOUI7hd/edit?gid=94170716#gid=94170716) and fill in your data
</Note>


## OpenAPI

````yaml api-reference/report/report-openapi.json post /reports/bulk
openapi: 3.0.1
info:
  title: Fraud Report API
  description: API to report suspected activity
  version: 1.0.0
servers: []
security: []
paths:
  /reports/bulk:
    post:
      summary: Upload multiple reports in a single request
      description: Bulk upload of reports
      requestBody:
        description: File to upload
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                file:
                  type: string
                  format: binary
                  description: The file to upload
              required:
                - file
        required: true
      responses:
        '200':
          description: File uploaded successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: Indicates if the operation was successful
                  message:
                    type: string
                    description: Status message describing the result
                  data:
                    type: object
                    properties:
                      failedUploads:
                        type: array
                        description: List of failed uploads
                        items:
                          type: object
                required:
                  - success
                  - message
                  - data
        '400':
          description: Unexpected error
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````